devel/py-pip-requirements-parser - The NetBSD Packages Collection

pip requirements parsing library

pip-requirements-parser is a mostly correct pip requirements parsing
library... because it uses pip's own code!

pip is the package installer for Python that is using "requirements"
text files listing the packages to install.

Build dependencies

devel/py-setuptools_scm devel/py-setuptools pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

devel/py-packaging lang/python310 lang/python310

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64py310-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0aarch64py37-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0aarch64py38-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0aarch64py39-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0aarch64py310-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0aarch64py311-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0aarch64py38-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0aarch64py39-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0earmv6hfpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0earmv6hfpy37-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0earmv6hfpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0earmv6hfpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0earmv6hfpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0earmv6hfpy311-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0earmv6hfpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0earmv6hfpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0earmv7hfpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0earmv7hfpy37-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0earmv7hfpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0earmv7hfpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0earmv7hfpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0earmv7hfpy311-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0earmv7hfpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0earmv7hfpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0i386py310-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0i386py37-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0i386py38-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0i386py39-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0powerpcpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0powerpcpy37-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0powerpcpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0powerpcpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0powerpcpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0powerpcpy37-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0powerpcpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0powerpcpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0x86_64py310-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0x86_64py311-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0x86_64py38-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0x86_64py39-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0x86_64py310-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0x86_64py37-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0x86_64py38-pip-requirements-parser-31.2.0.tgz
NetBSD 10.0x86_64py39-pip-requirements-parser-31.2.0.tgz
NetBSD 8.0i386py310-pip-requirements-parser-31.2.0.tgz
NetBSD 8.0i386py37-pip-requirements-parser-31.2.0.tgz
NetBSD 8.0i386py38-pip-requirements-parser-31.2.0.tgz
NetBSD 8.0i386py39-pip-requirements-parser-31.2.0.tgz
NetBSD 8.0powerpcpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 8.0powerpcpy311-pip-requirements-parser-31.2.0.tgz
NetBSD 8.0powerpcpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 8.0powerpcpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 8.0powerpcpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 8.0powerpcpy311-pip-requirements-parser-31.2.0.tgz
NetBSD 8.0powerpcpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 8.0powerpcpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 8.0x86_64py310-pip-requirements-parser-31.2.0.tgz
NetBSD 8.0x86_64py37-pip-requirements-parser-31.2.0.tgz
NetBSD 8.0x86_64py38-pip-requirements-parser-31.2.0.tgz
NetBSD 8.0x86_64py39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0aarch64py310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0aarch64py37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0aarch64py38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0aarch64py39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0aarch64py310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0aarch64py311-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0aarch64py38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0aarch64py39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0alphapy310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0alphapy37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0alphapy38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0alphapy39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0alphapy310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0alphapy311-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0alphapy37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0alphapy38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0alphapy39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmpy37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmpy37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmv6hfpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmv6hfpy37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmv6hfpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmv6hfpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmv6hfpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmv6hfpy311-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmv6hfpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmv6hfpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmv7hfpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmv7hfpy37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmv7hfpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmv7hfpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmv7hfpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmv7hfpy311-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmv7hfpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0earmv7hfpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0i386py310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0i386py37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0i386py38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0i386py39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0m68kpy37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0m68kpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0m68kpy37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0m68kpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0mips64ebpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0mips64ebpy37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0mips64ebpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0mips64ebpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0mips64ebpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0mips64ebpy37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0mips64ebpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0mips64ebpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0powerpcpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0powerpcpy37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0powerpcpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0powerpcpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0powerpcpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0powerpcpy37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0powerpcpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0powerpcpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparc64py310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparc64py37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparc64py38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparc64py39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparc64py310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparc64py311-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparc64py37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparc64py38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparc64py39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparcpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparcpy37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparcpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparcpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparcpy310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparcpy311-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparcpy37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparcpy38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0sparcpy39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0x86_64py310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0x86_64py37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0x86_64py38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0x86_64py39-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0x86_64py310-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0x86_64py37-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0x86_64py38-pip-requirements-parser-31.2.0.tgz
NetBSD 9.0x86_64py39-pip-requirements-parser-31.2.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.